
Figure - Bug #115082
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 114212 (New): V4.0专项--BSP专项--性能测试

Bug # 114834 (CLOSED): 【BSP】【EVT2】【专项】【响应时间】息屏时间，实测：792ms，高于对比机：244ms

【FW】【EVT2】【专项】【响应时间】息屏时间优化，虚拟按键DOWN时调用Powering off
2023-01-05 11:18 - CD SYSTEM-胡兵

Status: CLOSED Start date: 2023-01-05

Priority: High Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212240330

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version: 2023-01-10

Test Type: ST Root cause: 息屏时间晚的原因，模拟点击时间间隔较长，息屏动画时间较长

Description

当前是点击事件UP才会触发灭屏流程，但快速点击实验下，UP也会耗费200ms的样子(down-up物理耗时/tp irq-app软件耗时)

需要优化为DOWN时触发，但需要评估周边影响？目前看没有长按功能。

12-24 01:38:49.219  1103  2174 I intercept_power: [ACTION_DOWN,0,0]

12-24 01:38:49.423  1103  2174 I intercept_power: [ACTION_UP,0,0]

12-24 01:38:56.936  1103  1734 I intercept_power: [ACTION_DOWN,0,0]

12-24 01:38:57.139  1103  1734 I intercept_power: [ACTION_UP,0,0]

12-24 01:39:03.843  1103  1734 I intercept_power: [ACTION_DOWN,0,0]

12-24 01:39:04.048  1103  1734 I intercept_power: [ACTION_UP,0,0]

History

#1 - 2023-01-09 18:11 - CD FW 曹覃刚

- Category set to CD-FW

- Status changed from New to RESOLVED

- Assignee changed from CD FW 曹覃刚 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-01-10

- Root cause set to 息屏时间晚的原因，模拟点击时间间隔较长，息屏动画时间较长

#2 - 2023-01-12 15:27 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

根据https://share.thundersoft.com/redmine/issues/114834 测试结果验证通过，因此关闭次问题

#3 - 2023-01-12 15:27 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
